## net.i2p.router.web
Class GraphHelper

    java.lang.Object
      net.i2p.router.web.GraphHelper

    public class GraphHelper

extends java.lang.Object

Constructor Summary
`GraphHelper()`

Method Summary
`java.lang.String` `getForm()`
`java.lang.String` `getImages()`
`java.lang.String` `getPeerSummary()`
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context
`void` `setHeight(java.lang.String str)`
`void` `setOut(java.io.Writer out)`
`void` `setPeriodCount(java.lang.String str)`
`void` `setRefreshDelay(java.lang.String str)`
`void` `setShowEvents(boolean b)`
`void` `setWidth(java.lang.String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphHelper

    public GraphHelper()

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### setOut

    public void setOut(java.io.Writer out)

### setPeriodCount

    public void setPeriodCount(java.lang.String str)

### setShowEvents

    public void setShowEvents(boolean b)

### setHeight

    public void setHeight(java.lang.String str)

### setWidth

    public void setWidth(java.lang.String str)

### setRefreshDelay

    public void setRefreshDelay(java.lang.String str)

### getImages

    public java.lang.String getImages()

### getForm

    public java.lang.String getForm()

### getPeerSummary

    public java.lang.String getPeerSummary()